# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/40_biol.ipynb.

# %% auto 0
__all__ = ['OBS', 'VAR', 'OBSM', 'VARM', 'OBSP', 'VARP', 'UNS', 'LAYER', 'LAYERS', 'MITO', 'RIBO', 'CELL', 'CELLS', 'BARCODE',
           'BARCODES', 'GENE', 'GENE_ID', 'GENE_IDS', 'GENE_SYMBOL', 'HVG', 'HIGHLY_VARIABLE', 'COUNTS', 'TOTAL_COUNTS',
           'ENSEMBL', 'ENSEMBL_ID', 'DOUBLET', 'DOUBLET_SCORES', 'PREDICTED_DOUBLETS', 'HUMAN', 'MOUSE', 'HUMAN_TF',
           'MOUSE_TF', 'HUMAN_GENE_SYMBOL', 'HUMAN_ENSEMBLE_ID', 'MOUSE_ENSEMBLE_ID', 'PRENORM', 'DETECTED',
           'SCALED_NORMALIZED', 'PCT_COUNTS', 'PCT_COUNTS_MITO', 'PCT_COUNTS_RIBO', 'X', 'X_', 'X_PRENORM',
           'X_DETECTED', 'X_SCALED_NORMALIZED', 'PCA_HVG', 'MAGIC_HVG', 'PHATE_HVG', 'ADATA', 'MATRIX', 'FEATURES',
           'SENSITIVITY', 'FILTERED_MATRIX', 'SEQ', 'SEQRUN', 'SEQRUNS', 'FIRST_SENS', 'UNIQUE_SENS',
           'UNIQUE_SENSITIVITY', 'UNIQUE_SENSITIVITIES']

# %% ../nbs/40_biol.ipynb 4
from nchr import S_, U1
from .args import UNIQUE
from .exps import ID, PCT, SENS, SENSITIVITIES, NORMALIZED, COUNT, TOTAL
from .mthd import MAGIC, PCA, PHATE

# %% ../nbs/40_biol.ipynb 7
OBS = 'obs'
VAR = 'var'

OBSM = f'{OBS}m'
VARM = f'{VAR}m'

OBSP = f'{OBS}p'
VARP = f'{VAR}p'

UNS = 'uns'

LAYER = 'layer'
LAYERS = f'{LAYER}s'

# %% ../nbs/40_biol.ipynb 9
MITO = 'mito'
RIBO = 'ribo'

# %% ../nbs/40_biol.ipynb 10
CELL = 'cell'
CELLS = f'{CELL}s'

# %% ../nbs/40_biol.ipynb 11
BARCODE = 'barcode'
BARCODES = f'{BARCODE}s'

# %% ../nbs/40_biol.ipynb 13
GENE = 'gene'

GENE_ID = f'{GENE}{S_}{ID}'

GENE_IDS = f'{GENE_ID}s'

GENE_SYMBOL = f'{GENE}{S_}symbol'

# %% ../nbs/40_biol.ipynb 15
HVG = 'hvg'
HIGHLY_VARIABLE = 'highly_variable'

# %% ../nbs/40_biol.ipynb 17
COUNTS = f'{COUNT}s'
TOTAL_COUNTS = f'{TOTAL}{S_}{COUNTS}'

# %% ../nbs/40_biol.ipynb 19
ENSEMBL = 'ensembl'
ENSEMBL_ID = f'{ENSEMBL}{S_}{ID}'

# %% ../nbs/40_biol.ipynb 21
DOUBLET = 'doublet'
DOUBLET_SCORES = f'{DOUBLET}_scores'
PREDICTED_DOUBLETS = f'predicted_{DOUBLET}s'

# %% ../nbs/40_biol.ipynb 23
HUMAN = 'human'
MOUSE = 'mouse'

HUMAN_TF = f'{HUMAN}TFs'
MOUSE_TF = f'{MOUSE}TFs'

HUMAN_GENE_SYMBOL = f'{HUMAN}GeneSymbol'
HUMAN_ENSEMBLE_ID = f'{HUMAN}EnsemblID'
MOUSE_ENSEMBLE_ID = f'{MOUSE}EnsemblID'

PRENORM = 'prenorm'
DETECTED = 'detected'

SCALED_NORMALIZED = f'scaled_{NORMALIZED}'

PCT_COUNTS = f'{PCT}{S_}{COUNTS}'
PCT_COUNTS_MITO = f'{PCT}{S_}{COUNTS}{S_}{MITO}'
PCT_COUNTS_RIBO = f'{PCT}{S_}{COUNTS}{S_}{RIBO}'

# %% ../nbs/40_biol.ipynb 25
X = 'X'
X_ = f'{X}{U1}'

# %% ../nbs/40_biol.ipynb 26
# Layer storing prenormalized counts in adata.layers
X_PRENORM = f'{X_}{PRENORM}'

# Layer storing values where prenormalized counts is at least 0 in adata.layers
X_DETECTED = f'{X_}{DETECTED}'

# Layer storing counts normalized
X_SCALED_NORMALIZED = f'{X_}{SCALED_NORMALIZED}'

# %% ../nbs/40_biol.ipynb 28
PCA_HVG = f'{PCA}{U1}{HVG}'
MAGIC_HVG = f'{MAGIC}{U1}{HVG}'
PHATE_HVG = f'{PHATE}{U1}{HVG}'

# %% ../nbs/40_biol.ipynb 30
ADATA = 'adata'

MATRIX = 'matrix'

FEATURES = 'features'

SENSITIVITY = 'sensitivity'

FILTERED_MATRIX = 'filtered_matrix'

# %% ../nbs/40_biol.ipynb 32
SEQ = 'seq'
SEQRUN = f'{SEQ}run'
SEQRUNS = f'{SEQRUN}s'

# %% ../nbs/40_biol.ipynb 33
FIRST_SENS = f'first{S_}{SENS}'
UNIQUE_SENS = f'{UNIQUE}{S_}{SENS}'
UNIQUE_SENSITIVITY = f'{UNIQUE}{S_}{SENSITIVITY}'
UNIQUE_SENSITIVITIES = f'{UNIQUE}{S_}{SENSITIVITIES}'
